## org.apache.batik.swing.gvt
Class TextSelectionManager.SelectionOverlay

    java.lang.Object
      org.apache.batik.swing.gvt.TextSelectionManager.SelectionOverlay

All Implemented Interfaces:
  Overlay

Enclosing class:
  TextSelectionManager

protected class TextSelectionManager.SelectionOverlay
extends java.lang.Object
implements Overlay

The selection overlay.

Constructor Summary
`protected` `TextSelectionManager.SelectionOverlay()`

Method Summary
`void` `paint(java.awt.Graphics g)` Paints this overlay.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSelectionManager.SelectionOverlay

    protected TextSelectionManager.SelectionOverlay()

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Paints this overlay.

  Specified by:
    `paint` in interface `Overlay`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.